Alembic Version 1.1

Loading...
Searching...
No Matches
ArraySample.h File Reference
`#include <Alembic/Util/Export.h>`
`#include <Alembic/AbcCoreAbstract/Foundation.h>`
`#include <Alembic/AbcCoreAbstract/ArraySampleKey.h>`
`#include <Alembic/AbcCoreAbstract/DataType.h>`
Include dependency graph for ArraySample.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArraySample
struct | Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::TArrayDeleter< T >

## Namespaces
namespace | Alembic
| Alembic namespace ...
namespace | Alembic::AbcCoreAbstract
namespace | Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS

## Typedefs
typedef Alembic::Util::shared_ptr< ArraySample > | Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArraySamplePtr

## Functions
ALEMBIC_EXPORT ArraySamplePtr | Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::AllocateArraySample (const DataType &iDtype, const Dimensions &iDims)
template<class T>
ArraySamplePtr | Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::TAllocateArraySample (size_t iDataTypeExtent, const Dimensions &iDims)